# ipcpipelinesrc

Communicates with an ipcpipelinesink element in another process via a socket.

The ipcpipelinesrc element allows 2-way communication with an ipcpipelinesink element on another process/pipeline. It is meant to run inside an interslavepipeline and when paired with an ipcpipelinesink, it will slave its whole parent pipeline to the "master" one, which contains the ipcpipelinesink.

For more details about this mechanism and its uses, see the documentation of the ipcpipelinesink element.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──ipcpipelinesrc

## Factory details

Authors: – Vincent Penquerc'h

Classification: – `Source`

Rank – none

Plugin – ipcpipeline

Package – GStreamer Bad Plug-ins

## Pad Templates

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Action Signals

### disconnect

    g_signal_emit_by_name (param_0, "disconnect");

    ret = param_0.emit ("disconnect")

    let ret = param_0.emit ("disconnect");

Parameters:

`param_0` (GstElement *) –
No description available

Flags: Run Last / Action

### forward-message

    g_signal_emit_by_name (param_0, "forward-message", arg0, &ret);

    ret = param_0.emit ("forward-message", arg0)

    let ret = param_0.emit ("forward-message", arg0);

Parameters:

`param_0` (GstElement *) –
No description available
`arg0` (GstMessage *) –
No description available
Returns (gboolean) –
No description available

Flags: Run Last / Action

## Properties

### ack-time

    “ack-time” guint64

Maximum time to wait for a response to a message

Flags : Read / Write

Default value : 10000000

### fdin

    “fdin” gint

File descriptor to read data from

Flags : Read / Write

Default value : -1

### fdout

    “fdout” gint

File descriptor to write data through

Flags : Read / Write

Default value : -1

### read-chunk-size

    “read-chunk-size” guint

Read chunk size

Flags : Read / Write

Default value : 65536

The results of the search are